Package: org.grails.databinding.converters.web

## [Groovy] Class LocaleAwareBigDecimalConverter

- org.grails.databinding.converters.web.LocaleAwareBigDecimalConverter

-     @groovy.transform.CompileStatic
      class LocaleAwareBigDecimalConverter
      extends LocaleAwareNumberConverter

  A ValueConverter that knows how to convert a String to a BigDecimal or a BigInteger and is Locale aware. The converter will use the Locale of the current request if being invoked as part of a request, otherwise will use Locale.getDefault().

  Authors:
    Jeff Brown
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class LocaleAwareNumberConverter` | `localeResolver, targetType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LocaleAwareBigDecimalConverter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.text.NumberFormat` | `getNumberFormatter()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LocaleAwareNumberConverter` | `canConvert, convert, getLocale, getNumberFormatter`

- - ### Constructor Detail

    - #### LocaleAwareBigDecimalConverter()

  - ### Method Detail

    - #### @java.lang.Override protected java.text.NumberFormat getNumberFormatter()